<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__canfd__extid__filter__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_canfd_extid_filter_config_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__canfd__extid__filter__config__t_1a64ec8d1f72eaa08c9ac9bdc033e75691" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_canfd_extid_filter_config_t::numberOfEXTIDFilters</definition>
        <argsstring />
        <name>numberOfEXTIDFilters</name>
        <briefdescription>
<para>Number Of extended ID filters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="896" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="896" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__extid__filter__config__t_1a6abcfc52baa9dbcd7f02d774fa7d7f12" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__extid__filter__t">cy_stc_extid_filter_t</ref> *</type>
        <definition>const cy_stc_extid_filter_t* cy_stc_canfd_extid_filter_config_t::extidFilter</definition>
        <argsstring />
        <name>extidFilter</name>
        <briefdescription>
<para>Extended message ID filter register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="897" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="897" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__extid__filter__config__t_1ab4c437d42463b651635e1cbd74a9edeb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_canfd_extid_filter_config_t::extIDANDMask</definition>
        <argsstring />
        <name>extIDANDMask</name>
        <briefdescription>
<para>Extended ID AND Mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="898" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="898" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Extended ID filter configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="30">
        <label>cy_stc_canfd_extid_filter_config_t</label>
        <link refid="structcy__stc__canfd__extid__filter__config__t" />
        <childnode refid="31" relation="usage">
          <edgelabel>extidFilter</edgelabel>
        </childnode>
      </node>
      <node id="31">
        <label>cy_stc_extid_filter_t</label>
        <link refid="structcy__stc__extid__filter__t" />
        <childnode refid="32" relation="usage">
          <edgelabel>f1_f</edgelabel>
        </childnode>
        <childnode refid="33" relation="usage">
          <edgelabel>f0_f</edgelabel>
        </childnode>
      </node>
      <node id="33">
        <label>cy_stc_canfd_f0_t</label>
        <link refid="structcy__stc__canfd__f0__t" />
      </node>
      <node id="32">
        <label>cy_stc_canfd_f1_t</label>
        <link refid="structcy__stc__canfd__f1__t" />
      </node>
    </collaborationgraph>
    <location bodyend="899" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="894" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="895" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__canfd__extid__filter__config__t_1ab4c437d42463b651635e1cbd74a9edeb" virt="non-virtual"><scope>cy_stc_canfd_extid_filter_config_t</scope><name>extIDANDMask</name></member>
      <member prot="public" refid="structcy__stc__canfd__extid__filter__config__t_1a6abcfc52baa9dbcd7f02d774fa7d7f12" virt="non-virtual"><scope>cy_stc_canfd_extid_filter_config_t</scope><name>extidFilter</name></member>
      <member prot="public" refid="structcy__stc__canfd__extid__filter__config__t_1a64ec8d1f72eaa08c9ac9bdc033e75691" virt="non-virtual"><scope>cy_stc_canfd_extid_filter_config_t</scope><name>numberOfEXTIDFilters</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>